<?php

namespace app\admin\model;

use think\Model;


class Usertrainevaluate extends Model
{

    

    

    // 表名
    protected $table = 'user_train_evaluate';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'evaluate_time_text'
    ];
    

    



    public function getEvaluateTimeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['evaluate_time']) ? $data['evaluate_time'] : '');
        return is_numeric($value) ? date("Y-m-d H:i:s", $value) : $value;
    }

    protected function setEvaluateTimeAttr($value)
    {
        return $value === '' ? null : ($value && !is_numeric($value) ? strtotime($value) : $value);
    }


    public function active()
    {
        return $this->belongsTo('app\admin\model\train\Active', 'train_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function user()
    {
        return $this->belongsTo('User', 'user_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
